%global _empty_manifest_terminate_build 0
Name:		python-sphinxcontrib-actdiag
Version:	3.0.0
Release:	1
Summary:	Sphinx "actdiag" extension
License:	BSD
URL:		https://github.com/blockdiag/sphinxcontrib-actdiag
Source0:	https://files.pythonhosted.org/packages/00/c9/d890d4a0e0e0efd4cf818e84fad8bbca6799db8b7a4c230c19a776f3c50f/sphinxcontrib-actdiag-3.0.0.tar.gz
BuildArch:	noarch

Requires:	python3-blockdiag
Requires:	python3-actdiag
Requires:	python3-Sphinx

%description
A sphinx extension for embedding activity diagram using actdiag.

%package -n python3-sphinxcontrib-actdiag
Summary:	Sphinx "actdiag" extension
Provides:	python-sphinxcontrib-actdiag
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-sphinxcontrib-actdiag
A sphinx extension for embedding activity diagram using actdiag.

%package help
Summary:	Development documents and examples for sphinxcontrib-actdiag
Provides:	python3-sphinxcontrib-actdiag-doc
%description help
A sphinx extension for embedding activity diagram using actdiag.

%prep
%autosetup -n sphinxcontrib-actdiag-3.0.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-sphinxcontrib-actdiag -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 3.0.0-1
- Upgrade version for openstack yoga

* Thu Dec 31 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
